plotSpikeSpotError {CALIB} | R Documentation

## plot spot error of spikes.

### Description

Plot spot error of spikes. Three types of plots are avaible: histogram, boxplot and density.

### Usage

    plotSpikeSpotError(parameter, array = 1, plottype = "hist", width = 1,
                       plotnames = NULL, main = NULL, ...)

### Arguments

`parameter` | a `ParameterList` object.
`array` | integer giving the array to be plotted.
`plottype` | string giving the type of plot.
`width` | needed for density plot. This exists for compatibility with S; if given, and `bw` is not, will set `bw` to `width` if this is a character string, or to a kernel-dependent multiple of `width` if this is numeric. Default is 1.
`plotnames` | needed for boxplot. group labels which will be printed under each boxplot.
`main` | an overall title for the plot.
`...` | other parameters can be used according to the plottype user specified.

### Details

The function plots spot error of one array on different types of plots. Three types, which are histogram, boxplot and density function, are available now. The argument `plottype` is used for giving the plot type. It should be one of the following three types: "hist", "boxplot" and "dens". The argument `array` gives the array index to be plotted.

The function accepts estimated spot error from the argument `parameter`.

### Value

A plot is created on the current graphics device.

### Author(s)

Hui Zhao

### See Also

`hist`, `boxplot` and `plot` in the graphics package.

`density` in the stat package.

### Examples

    # load data: parameter
    data(parameter)

    # specify the array to be plotted.
    array <- 1

    # plot histogram
    plotSpikeSpotError(parameter,array=array,plottype="hist")
    # plot boxplot
    plotSpikeSpotError(parameter,array=array,plottype="boxplot",plotnames=NULL)
    # plot density function
    plotSpikeSpotError(parameter,array=array,plottype="dens",width=1)

[Package CALIB version 1.10.0 Index]